/// <reference types="react" />
import { TWindowGradient } from "./interfaces";
import "./style.scss";
export interface ContentSvgProps {
    id: string;
    scale: number;
    width: number;
    height: number;
    marginFrame: number;
    holeCorner: number;
    strokeWidth: number;
    createDragMove: Function;
    createDragResize: Function;
    frameGradientSvg?: TWindowGradient;
    x: number;
    y: number;
}
export declare const ContentSvg: (props: ContentSvgProps) => JSX.Element;
