import React from "react";
export interface LinearGradientProps {
    id: string;
    x1?: number;
    x2?: number;
    y1?: number;
    y2?: number;
    children?: React.ReactChild;
    gradientTransform?: string;
    firstOffset?: string | number;
    secondOffset?: string | number;
    firstColor?: string;
    secondColor?: string;
    firstOpacity?: number;
    secondOpacity?: number;
}
export declare const LinearGradient: (props: LinearGradientProps) => JSX.Element;
