/// <reference types="react" />
import { TWindowGradient, WindowNodes, WindowSizePosition } from "./interfaces";
export declare enum WindowType {
    default = 0,
    system = 1
}
export interface WindowProps extends WindowNodes, WindowSizePosition {
    type?: WindowType;
    isMovable?: boolean;
    isResizable?: boolean;
    frameGradientSvg?: TWindowGradient;
    backgroundGradientSvg?: TWindowGradient;
}
export declare const Window: ({ type, isMovable, isResizable, top, left, scale, ...props }: WindowProps) => JSX.Element;
