/// <reference types="react" />
import { TWindowGradient, WindowNodes } from "./interfaces";
export interface SystemWindowProps extends WindowNodes {
    width: number;
    height: number;
    scale: number;
    marginFrame: number;
    strokeWidth: number;
    holeCorner: number;
    createDragMove: Function;
    createDragResize: Function;
    backgroundGradientSvg?: TWindowGradient;
    frameGradientSvg?: TWindowGradient;
}
export declare const SystemWindow: (props: SystemWindowProps) => JSX.Element;
